<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title">
                <h3>
                    <strong>Add Predefined Message</strong>
                </h3>
            </div>
            <div class="ibox-content">
                <form #f="ngForm" autocomplete="off" class="form-horizontal" (ngSubmit)="addPredefinedMessage(f)">

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Message type<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <mat-select class="form-control" placeholder="Message type" name="message_type" #message_type="ngModel" [(ngModel)]="predefinedMessageModel.message_type" required>
                                <mat-option value="General">General</mat-option>
                                <mat-option value="Blocking">Blocking</mat-option>
                                <mat-option value="Cancelling">Cancelling </mat-option>
                                <mat-option value="Honk credit">Honk credit</mat-option>
                            </mat-select>
                            <div class="error-msg" *ngIf="message_type.errors && (message_type.dirty || message_type.touched || f.submitted)" >
                                <div [hidden]="!message_type.errors.required">Message type is required.</div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-sm-2 control-label">Message content<i aria-hidden="true" class="mandatory">*</i></label>
                        <div class="col-sm-10 form-input">
                            <input type="text" class="form-control" maxlength="70" placeholder="Message content" name="message_content" #message_content="ngModel"
                                [(ngModel)]="predefinedMessageModel.message_content" required>
                            <div class="error-msg" *ngIf="message_content.errors && (message_content.dirty || message_content.touched || f.submitted)" >
                                <div [hidden]="!message_content.errors.required">Message content is required.</div>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-sm-4 col-sm-offset-2">
                            <button class="btn btn-primary" type="submit">Save</button>
                            <button class="btn btn-white" type="button" [routerLink]="['/admin/administration/predefined-messages']">Cancel</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>